EESchema Schematic File Version 2
LIBS:LTspice_sym
LIBS:LTspice_ADC
LIBS:LTspice_DAC
LIBS:LTspice_Comparators
LIBS:LTspice_Digital
LIBS:LTspice_FilterProducts
LIBS:LTspice_Misc
LIBS:LTspice_Opamps
LIBS:LTspice_Optos
LIBS:LTspice_PowerProducts
LIBS:LTspice_References
LIBS:LTspice_SpecialFunctions
LIBS:LTspice_Switches
LIBS:power
LIBS:device
LIBS:switches
LIBS:relays
LIBS:motors
LIBS:transistors
LIBS:conn
LIBS:linear
LIBS:regul
LIBS:74xx
LIBS:cmos4000
LIBS:adc-dac
LIBS:memory
LIBS:xilinx
LIBS:microcontrollers
LIBS:dsp
LIBS:microchip
LIBS:analog_switches
LIBS:motorola
LIBS:texas
LIBS:intel
LIBS:audio
LIBS:interface
LIBS:digital-audio
LIBS:philips
LIBS:display
LIBS:cypress
LIBS:siliconi
LIBS:opto
LIBS:atmel
LIBS:contrib
LIBS:valves
LIBS:eSim_Analog
LIBS:eSim_Devices
LIBS:eSim_Digital
LIBS:eSim_Hybrid
LIBS:eSim_Miscellaneous
LIBS:eSim_Plot
LIBS:eSim_Power
LIBS:eSim_Sources
LIBS:eSim_Subckt
LIBS:eSim_User
EELAYER 25 0
EELAYER END
$Descr A4 11693 8268
encoding utf-8
Sheet 1 1
Title "LTspice_SoftDiodeRecovery"
Date "24/06/20 16:01"
Rev "1.0"
Comp ""
Comment1 "Converted from LTspice"
Comment2 ""
Comment3 ""
Comment4 ""
$EndDescr
$Comp
L voltage V3
U 1 1 5EF339AA
P 4750 4500
F 0 "V3" H 4850 4400 50  0000 L CNN
F 1 "PULSE" H 4850 4300 50  0000 L CNN
F 2 "" H 4750 4500 60  0001 C CNN
F 3 "" H 4750 4500 60  0001 C CNN
	1    4750 4500
	1    0    0    -1  
$EndComp
$Comp
L diode D3
U 1 1 5EF339AB
P 6350 4550
F 0 "D3" H 6450 4450 50  0000 L CNN
F 1 "x" H 6450 4350 50  0000 L CNN
F 2 "" H 6350 4550 60  0001 C CNN
F 3 "" H 6350 4550 60  0001 C CNN
	1    6350 4550
	1    0    0    -1  
$EndComp
$Comp
L res R1
U 1 1 59E9ACCC
P 5450 4550
F 0 "R1" H 5550 4450 50  0000 L CNN
F 1 "1" H 5550 4350 50  0000 L CNN
F 2 "" H 5450 4550 60  0001 C CNN
F 3 "" H 5450 4550 60  0001 C CNN
	1    5450 4550
	0    -1   -1   0   
$EndComp
Wire Wire Line
	5500 4500 4750 4500
Wire Wire Line
	5750 4500 6650 4500
Wire Wire Line
	4750 4500 4750 4550
Wire Wire Line
	6400 4550 6400 4500
Wire Wire Line
	6400 4800 6400 4750
Wire Wire Line
	4750 4850 4750 4800
$Comp
L GND #PWR1
U 1 1 5EF339AC
P 4750 4850
F 0 "#PWR1" H 4750 4600 50  0001 C CNN
F 1 "GND" H 4750 4700 50  0000 C CNN
F 2 "" H 4750 4850 60  0001 C CNN
F 3 "" H 4750 4850 60  0001 C CNN
	1    4750 4850
	1    0    0    -1  
$EndComp
$Comp
L GND #PWR2
U 1 1 59E9AE0E
P 6400 4800
F 0 "#PWR2" H 6400 4550 50  0001 C CNN
F 1 "GND" H 6400 4650 50  0000 C CNN
F 2 "" H 6400 4800 60  0001 C CNN
F 3 "" H 6400 4800 60  0001 C CNN
	1    6400 4800
	1    0    0    -1  
$EndComp
Text Notes 7050 2200 0    50   ~ 0
.tran 0 60u\n.model X D(Rs=0 Is=1e-10 tt=3u  Vp={Vp} Cjo=10n)\n.step param Vp list 0 .2 .4 .6 .8 1
Text Notes 4550 5250 0    50   ~ 0
This example shows the use of dQ/dt damping parameter Vp to control diode soft recovery.\n \nSee K.J. Teng and S. Pan: 'Modified charge-control equation for simulation of diode reverse recovery',\nElectronics Letters, 15th February 1996 Vol. 32 No. 4
Wire Notes Line
	7050 1900 7050 1900
$Comp
L plot_v1 U1
U 1 1 5EF3392E
P 6400 4700
F 0 "U1" H 6400 5200 60  0000 C CNN
F 1 "plot_v1" H 6600 5050 60  0000 C CNN
F 2 "" H 6400 4700 60  0000 C CNN
F 3 "" H 6400 4700 60  0000 C CNN
	1    6400 4700
	1    0    0    -1  
$EndComp
Text GLabel 6650 4500 0    60   Input ~ 0
out
Connection ~ 6400 4500
$EndSCHEMATC
